/*
 * MTraceOut.h
 *
 *  Created on: 07.05.2015
 *      Author: dominik
 */

#ifndef MTEST_MTRACEOUT_H_
#define MTEST_MTRACEOUT_H_

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MDebugOut :	public MTask
{
private:
	// MTask
	Int_t  PreProcess(MParList *pList);
	Bool_t ReInit(MParList *pList);
	Int_t  Process();


	MCorsikaEvtHeader *fEvtHeader;    //!
	MCorsikaRunHeader *fRunHeader;    //!
	MMcRunHeader      *fMcRunHeader;  //!
	MPhotonEvent      *fEvt;     //! Event storing the photons
	MPhotonStatistics *fStat;    //! Event statistics needed for crosschecks

public:
	MDebugOut();


	ClassDef(MDebugOut, 0) // Output and trace things for debugging

};

#endif /* MTEST_MTRACEOUT_H_ */
